<script setup lang="ts">
import { reactive, computed } from "vue";

const state = reactive({
  num1: "0",
  num2: "0",
  result: 0,
});
const result = computed(function () {
  return parseInt(state.num1) + parseInt(state.num2);
});
const Add = function () {
  state.result = parseInt(state.num1) + parseInt(state.num2);
};
</script>
<template>
  <div class="box" id="app">
    <input type=" text" ref="num1" v-model="state.num1" class="center_text" />
    <br />
    <div class="center_text bold_text">+</div>
    <br />
    <input type="text" ref="num2" v-model="state.num2" class="center_text" />
    <br />
    <button class="center_text" ref="button" @click="Add()">=</button>
    <br />
    <div class="center_text" ref="result">{{ state.result }}</div>
    <br />
    <div>{{ state.num1 }} + {{ state.num2 }} = {{ result }}</div>
  </div>
</template>
<style>
.center_text {
  text-align: center;
  font-size: 20pt;
  margin: 5px;
}

.box {
  padding: 10px;
  width: 400px;
  text-align: center;
  border: black solid 2px;
}

.bold_text {
  font-weight: bold;
}

#button {
  width: 130px;
}
</style>
